// Package org_accordproject_commonmark_0_5_0 contains domain objects and was generated from Concerto namespace org.accordproject.commonmark@0.5.0.
package org_accordproject_commonmark_0_5_0
import "concerto_1_0_0";
   
type Node struct {
   concerto_1_0_0.Concept
   Text string `json:"text"`
   Nodes []Node `json:"nodes"`
   StartLine int32 `json:"startLine"`
   EndLine int32 `json:"endLine"`
}
type Root struct {
   Node
}
type Child struct {
   Node
}
type Text struct {
   Child
}
type Attribute struct {
   concerto_1_0_0.Concept
   Name string `json:"name"`
   Value string `json:"value"`
}
type TagInfo struct {
   concerto_1_0_0.Concept
   TagName string `json:"tagName"`
   AttributeString string `json:"attributeString"`
   Attributes []Attribute `json:"attributes"`
   Content string `json:"content"`
   Closed bool `json:"closed"`
}
type CodeBlock struct {
   Child
   Info string `json:"info"`
   Tag TagInfo `json:"tag"`
}
type Code struct {
   Child
   Info string `json:"info"`
}
type HtmlInline struct {
   Child
   Tag TagInfo `json:"tag"`
}
type HtmlBlock struct {
   Child
   Tag TagInfo `json:"tag"`
}
type Emph struct {
   Child
}
type Strong struct {
   Child
}
type BlockQuote struct {
   Child
}
type Heading struct {
   Child
   Level string `json:"level"`
}
type ThematicBreak struct {
   Child
}
type Softbreak struct {
   Child
}
type Linebreak struct {
   Child
}
type Link struct {
   Child
   Destination string `json:"destination"`
   Title string `json:"title"`
}
type Image struct {
   Child
   Destination string `json:"destination"`
   Title string `json:"title"`
}
type Paragraph struct {
   Child
}
type List struct {
   Child
   Type string `json:"type"`
   Start string `json:"start"`
   Tight string `json:"tight"`
   Delimiter string `json:"delimiter"`
}
type Item struct {
   Child
}
type Document struct {
   Root
   Xmlns string `json:"xmlns"`
}
type Table struct {
   Child
}
type TableHead struct {
   Child
}
type TableBody struct {
   Child
}
type TableRow struct {
   Child
}
type HeaderCell struct {
   Child
}
type TableCell struct {
   Child
}
